function [s] = analyseSessions(day, angleBinWidth)
s = {};

[X, Y] = createXYall(day, angleBinWidth);

noAngleBins = length(countcats(Y));

for i = 1:size(X{1})
    for j = 1:noAngleBins
        s(i).angleBins(j).noOfSpikes = 0;
        s(i).angleBins(j).timeInBin = 0;
        s(i).angleBins(j).sessionSpikes = [];
        s(i).angleBins(j).sessionTime = [];
    end    
end


for session = 1:length(X)  
    for cell = 1:size(X{session})
        angleBin = Y(session);
        s(cell).HDcell = cell;
        s(cell).angleBins(angleBin).angleBin = angleBin;
        s(cell).angleBins(angleBin).noOfSpikes = s(cell).angleBins(angleBin).noOfSpikes + length(find(X{session}(cell,:))); 
        s(cell).angleBins(angleBin).timeInBin = s(cell).angleBins(angleBin).timeInBin + length(X{session}(cell,:));
        s(cell).angleBins(angleBin).sessionSpikes(end+1) = length(find(X{session}(cell,:)));
        s(cell).angleBins(angleBin).sessionTime(end+1) = length(X{session}(cell,:));
    end
end


for cell = 1:length(s)
    noOfSpikes = 0;
    for angleBin = 1:length(s(cell).angleBins)
        noOfSpikes = noOfSpikes + s(cell).angleBins(angleBin).noOfSpikes;
        
        averages = [];
        averages = (s(cell).angleBins(angleBin).sessionSpikes./s(cell).angleBins(angleBin).sessionTime)*1000;
        
        s(cell).angleBins(angleBin).mean = mean(averages);
        s(cell).angleBins(angleBin).sd = std(averages);
    end
    s(cell).noOfSpikes = noOfSpikes;
end

end
