function [X, Y] = balanceSessionPerBin(X, Y)

% Sort by length
[X, Y] = sortByLength(X,Y);

% Find lowest number of sessions
toInclude = min(countcats(Y));

% Create struct
includeIdx = [];
s = struct('angleBin', [], 'noIncluded', []);
for i = 1:36
    s(i).angleBin = i*10-10;
    s(i).noIncluded = 0;
end

% Find out which sessions to include
for session = length(Y):-1:1
    angleBin = grp2idx(Y(session));
    if s(angleBin).noIncluded < toInclude
        includeIdx(end+1) = session;
        s(angleBin).noIncluded = s(angleBin).noIncluded +1;
    end    
end

% Only include equal number of sessions for each angle bin
Y = Y(includeIdx);
X = X(includeIdx);

end