function [models] =  createInputModels(minModels) 
day = '120806.mat';
shanksAndCells = struct('shank', [], 'HDcells', [], 'names', []);
shanksAndCells(1).shank = 3;
shanksAndCells(2).shank = 4;
shanksAndCells(3).shank = 13;
shanksAndCells(1).HDcells = [1:12];
shanksAndCells(2).HDcells = [1:6];
shanksAndCells(3).HDcells = 1;
shanksAndCells(1).names = [1:12];
shanksAndCells(2).names = [13:18];
shanksAndCells(3).names = 21;

models = {};
q = 0.01;
noHDcells = 21;

% Initialize best 
best = struct('a', [], 'b', [], 'c', [], 'd', [], 'I', [], 'q', [], 'distance', []);

% Initialize 36 angle bins
for angleBin = 1:36
    models(angleBin).angleBin = angleBin;
    models(angleBin).HDcells = {};
    for HDcell = 1:noHDcells
        models(angleBin).HDcells(HDcell).HDcell = HDcell;
        models(angleBin).HDcells(HDcell).modelParam = best;
    end
end

angleBinWidth = 10;
minSpikes = 5;
minLength = 250;

for shank_idx = 1:length(shanksAndCells)
    shank = shanksAndCells(shank_idx).shank;
for HDcell_idx = 1:length(shanksAndCells(shank_idx).HDcells) %Change
    HDcell = shanksAndCells(shank_idx).HDcells(HDcell_idx);
    name = shanksAndCells(shank_idx).names(HDcell_idx);

% Create X and Y
[X, Y] = createXY(day, shank, HDcell, angleBinWidth);

% Edit X and Y
% [X, Y] = removeSessionsWithFewSpikes(X, Y, minSpikes);
[X, Y] = removeShortSessions(X, Y, minLength);


for session = 1:length(X)
    angleBin = grp2idx(Y(session))*10-10;
    if length(models(grp2idx(Y(session))).HDcells(name).modelParam)<minModels+1
        spikeTimes = find(X{session});
        duration = length(X{session});
        best = findModelParameters(spikeTimes, duration, q);
        models(grp2idx(Y(session))).HDcells(name).modelParam(end+1) = best;
    end
end
end
end
end


