function [X, Y] = createXY(day, shank, HDcell, angleBinWidth)

% Load data
dir_path = strcat('path',day);
load(dir_path);

% Find time in ms
time = awakeTimeMs;

% Find angles during time
angles = binnedAwakeAngleData;

if angleBinWidth == 1
    % Create 1 degree angle bins
    angleDegree = round(180/pi*angles);
elseif angleBinWidth == 10
    % Create 10 degree angle bins
    angleDegree = round(180/pi*angles,-1);
else 
    % Create 1 degree angle bins
    angleDegree = round(180/pi*angles);
    % Create angleBinWidth degree angle bins
    angleDegree = round( angleDegree / angleBinWidth ) * angleBinWidth;
end

% Remove information from when it is not possible to detect an angle
to_remove = find(isnan(angleDegree));
angleDegree(to_remove) = [];

% Find sessions
groupedAngleBins = mat2cell( angleDegree, 1, diff( [0, find(diff(angleDegree) ~= 0), length(angleDegree)] ));

% Create Y
for j = 1:length(groupedAngleBins)
    m_target(j) = groupedAngleBins{1,j}(1);
end
Y = categorical(m_target);

%Find spikes during time and shift
spikes_ = HDcells(shank).time{1,HDcell}(find(HDcells(shank).time{1,HDcell}.' >= time(1) & HDcells(shank).time{1,HDcell}.' <= time(end)));
shifted = round(spikes_-time(1)); % Problem if spike 1 at time t=0

% Create array with 1 for spike, 0 otherwise (in ms)
spikes = zeros(1, length(time));
spikes(shifted) = 1;

spikes(to_remove) = []; % Spikes without corresponding angle are omitted 

groupedSpikes = mat2cell( spikes, 1, diff( [0, find(diff(angleDegree) ~= 0), length(angleDegree)] ));

% Create X
X = groupedSpikes;

% 360 -> 0
Y(find(Y == '360')) = '0';
Y = removecats(Y);

end