function [X, Y] = createXYall(day, angleBinWidth)

index = 1;

% Load data
dir_path = strcat('path',day);
load(dir_path);

% Find time in ms
time = awakeTimeMs;

% Find angles during time
angles = binnedAwakeAngleData;

if angleBinWidth == 1
    % Create 1 degree angle bins
    angleDegree = round(180/pi*angles);
elseif angleBinWidth == 10
    % Create 10 degree angle bins
    angleDegree = round(180/pi*angles,-1);
else 
    % Create 1 degree angle bins
    angleDegree = round(180/pi*angles);
    % Create angleBinWidth degree angle bins
    angleDegree = round( angleDegree / angleBinWidth ) * angleBinWidth;
end

% Remove information from when it is not possible to detect an angle
to_remove = find(isnan(angleDegree));
angleDegree(to_remove) = [];
groupedAngleBins = mat2cell( angleDegree, 1, diff( [0, find(diff(angleDegree) ~= 0), length(angleDegree)] ));

% Create m_target
for j = 1:length(groupedAngleBins)
    m_target(j) = groupedAngleBins{1,j}(1);
end
Y = categorical(m_target);

for shank = 1:length(HDcells)
    if ~isempty(HDcells(shank).val)
        for HDcell = 1:length(HDcells(shank).val)
            %Find spikes during time and shift
            spikes_ = HDcells(shank).time{1,HDcell}(find(HDcells(shank).time{1,HDcell}.' >= time(1) & HDcells(shank).time{1,HDcell}.' <= time(end)));
            shifted = round(spikes_-time(1)); % Problem if spike 1 at time t=0
            
            % Create array with 1 for spike, 0 otherwise (in ms)
            spikes = zeros(1, length(time));
            spikes(shifted) = 1;

            spikes(to_remove) = []; % Spikes without corresponding angle are omitted 

            spikesCell(index,:) = spikes;
            index = index +1;
        end
    end
end

for i = 1:index-1
    groupedSpikes(i,:) = mat2cell( spikesCell(i,:), 1, diff( [0, find(diff(angleDegree) ~= 0), length(angleDegree)] ));
end

% Create X
for j = 1:length(groupedSpikes)
    X(j) = {cat(1, groupedSpikes{:,j})}; 
end

% 360 -> 0
Y(find(Y == '360')) = '0';
Y = removecats(Y);

end