% Remove sessions not included in dfrStart:dfrEnd
% Not possible to use dirctly if dfrStart > dfrEnd
function [X, Y] = removeSessionsOutsideDFR(X, Y, dfrStart, dfrEnd)
    % Find angles inside directional firing range 
    directionalFiringRange = categorical(dfrStart:1:dfrEnd);
    
    % Find and mark angles outside directional firing range with 'na'
    na = find(~ismember(Y, directionalFiringRange));
    Y(na) = 'na';
  
    % Remove sessions with 'na'
    idx = find(Y == 'na');
    X(idx) = [];
    Y(idx) = [];

    % Remove unused categories
    Y = removecats(Y);
end