function [net] = trainLSTM(XTrain, YTrain, miniBatchSize)
XTrain = XTrain';
YTrain = YTrain';

% Define LSTM network architecture
numFeatures = 19;       % Number of HD cells
numHiddenUnits = 200;
numClasses = 36;        % Number of angle bins

layers = [ ...
sequenceInputLayer(numFeatures)
bilstmLayer(numHiddenUnits,'OutputMode','last')
fullyConnectedLayer(numClasses)
softmaxLayer
classificationLayer];

% Training
initialLearnRate = 0.01;
maxEpochs = 100;
learnRateDropFactor = 0.5;
learnRateDropPeriod = 10;

options = trainingOptions('adam', ...
    'ExecutionEnvironment','cpu', ...
    'InitialLearnRate',initialLearnRate, ...
    'LearnRateSchedule','piecewise', ...
    'LearnRateDropFactor',learnRateDropFactor, ...
    'LearnRateDropPeriod',learnRateDropPeriod, ...
    'MaxEpochs',maxEpochs, ...
    'MiniBatchSize',miniBatchSize, ...
    'SequenceLength','longest', ...
    'Shuffle','never', ...
    'Verbose',0, ...
    'Plots','training-progress');

net = trainNetwork(XTrain,YTrain,layers,options);
end